Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Voicemail.FAILUREREASON

    java.lang.Object
      java.lang.Enum<Voicemail.FAILUREREASON>
          com.skype.api.Voicemail.FAILUREREASON

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Voicemail.FAILUREREASON>

Enclosing class:
  Voicemail

    public static enum Voicemail.FAILUREREASON

extends java.lang.Enum<Voicemail.FAILUREREASON>

Enum Constant Summary
`CONNECT_ERROR`
`FILE_READ_ERROR`
`FILE_WRITE_ERROR`
`MISC_ERROR`
`NO_PERMISSION`
`NO_SUCH_VOICEMAIL`
`NO_VOICEMAIL_CAPABILITY`
`PLAYBACK_ERROR`
`RECEIVER_DISABLED_VOICEMAIL` receiver turned off voicemail
`RECORDING_ERROR`
`SENDER_BLOCKED` receiver blocked sender
`SENDER_NOT_AUTHORIZED` receiver has not authorized you and privacy is not set to anyone

Method Summary
`static Voicemail.FAILUREREASON` | `fromString(java.lang.String s)`
`static Voicemail.FAILUREREASON` | `get(int code)`
`int` | `getId()`
`static Voicemail.FAILUREREASON` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Voicemail.FAILUREREASON[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MISC_ERROR

    public static final Voicemail.FAILUREREASON MISC_ERROR

### CONNECT_ERROR

    public static final Voicemail.FAILUREREASON CONNECT_ERROR

### NO_VOICEMAIL_CAPABILITY

    public static final Voicemail.FAILUREREASON NO_VOICEMAIL_CAPABILITY

### NO_SUCH_VOICEMAIL

    public static final Voicemail.FAILUREREASON NO_SUCH_VOICEMAIL

### FILE_READ_ERROR

    public static final Voicemail.FAILUREREASON FILE_READ_ERROR

### FILE_WRITE_ERROR

    public static final Voicemail.FAILUREREASON FILE_WRITE_ERROR

### RECORDING_ERROR

    public static final Voicemail.FAILUREREASON RECORDING_ERROR

### PLAYBACK_ERROR

    public static final Voicemail.FAILUREREASON PLAYBACK_ERROR

### NO_PERMISSION

    public static final Voicemail.FAILUREREASON NO_PERMISSION

### RECEIVER_DISABLED_VOICEMAIL

    public static final Voicemail.FAILUREREASON RECEIVER_DISABLED_VOICEMAIL

  receiver turned off voicemail

### SENDER_NOT_AUTHORIZED

    public static final Voicemail.FAILUREREASON SENDER_NOT_AUTHORIZED

  receiver has not authorized you and privacy is not set to anyone

### SENDER_BLOCKED

    public static final Voicemail.FAILUREREASON SENDER_BLOCKED

  receiver blocked sender

Method Detail

### values

    public static Voicemail.FAILUREREASON[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Voicemail.FAILUREREASON c : Voicemail.FAILUREREASON.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Voicemail.FAILUREREASON valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Voicemail.FAILUREREASON get(int code)

### fromString

    public static Voicemail.FAILUREREASON fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.